### Method

# Foundry OnTypeFormatter indent

#### Declaration [src]

    void
    foundry_on_type_formatter_indent (
      FoundryOnTypeFormatter* self,
      FoundryTextDocument* document,
      FoundryTextIter* iter
    )

#### Description [src]

Indents the text at `iter`.

`iter` should be set to the cursor location after the indent when exiting this function.

#### Parameters

`document`

  Type: `FoundryTextDocument`

  No description available.

  The data is owned by the caller of the method.

`iter`

  Type: `FoundryTextIter`

  No description available.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.